expm1
fmod
Math Functions
PHP Manual

# floor

(PHP 4, PHP 5)

floor — Round fractions down

### Description

mixed floor ( float `$value` )

Returns the next lowest integer value (as float) by rounding down `value` if necessary.

### Parameters

`value`

  The numeric value to round

### Return Values

`value` rounded to the next lowest integer. The return value of floor() is still of type float because the value range of float is usually bigger than that of integer. This function returns FALSE in case of an error (e.g. passing an array).

### Examples

Example #1 floor() example

`<?php
echo floor(4.3); // 4
echo floor(9.999); // 9
echo floor(-3.14); // -4
?>`

### See Also

- ceil() - Round fractions up
- round() - Rounds a float

expm1
fmod
Math Functions
PHP Manual